<html>

<head>
  <title>Mulan</title>

  <style>
    body {
      background-color: #fff;
      font-family: sans-serif;
    }
    h1 {
      font-weight: bold;
      font-size: 300%;
    }
    h2 {
      font-weight: normal;
      font-size: 200%;
    }

  input[type=button] {
    background-color: #A01010; /* Red */
    border: none;
    border-radius: 8px;
    color: white;
    padding: 14px 24px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 24px;
    margin:10px 10px 10px 10px;
  }
  </style>

  <script src="qaws.js"></script>

</head>

<body>

<!-- status -->
<div align='right' id='status'> <font color='red'>NOT CONNECTED</font> </div>

<h1 align='left'> <span id='film_title'>Mulan</span> </h1>
<div>
<div align='left'> 
  <img height=300 id='film_poster' src="img/mulan_img.jpg" alt="No image"/> 
</div>
<div align="left">
  <br>
  <b>Release year: </b>
  <span>2020</span>
  <br>
  <b>Director: </b>
  <span>Niki Caro</span>
  <br>
  <b>Cast: </b>
  <span>Yifei Liu, Donnie Yen, Li Gong</span>
  <br>
  <b>Plot:</b>
  <span>A young Chinese maiden disguises herself as a male warrior in order to save her father. A live-action feature film based on Disney's Mulan.</span>
  <br>
  <br>
  <br>
  <span style="font-weight: bold;color: blue;font-size: 20">Screen 1 at 18:15</span>
  <span style="font-weight: bold;color: green;font-size: 20" id="num_seats_mulan_1">120</span>
  <span style="font-weight: bold;color: green;font-size: 20" id="seats_mulan_1"> seats left</span>
  <br>
  <span style="font-weight: bold;color: blue;font-size: 20">Screen 1 at 21</span>
  <span style="font-weight: bold;color: green;font-size: 20" id="num_seats_mulan_2">120</span>
  <span style="font-weight: bold;color: green;font-size: 20" id="seats_mulan_2"> seats left</span> 
</div>
</div>
<br>
<div align="left" >
  <a href="select_film.html">
    <img  class='icon' id='back' src="img/back.png" height="100" />
  </a>
  <a href="screen_time_mulan.html">
    <img height=150 id='ticket_img' src="img/tickets.png" alt="No image"/>
  </a>
</div>


<script>
    var ip=window.location.hostname;
    if (ip=='')
        ip='127.0.0.1';
    var port = 9100;
    wsrobot_init(ip,port);
</script>
<script>
  function loadJSON(path,callback){
    var xobj = new XMLHttpRequest();
          xobj.overrideMimeType("application/json");
      xobj.open('GET', path, true); // Replace 'my_data' with the path to your file
      xobj.onreadystatechange = function () {
            if (xobj.readyState == 4 && xobj.status == "200") {
              // Required use of an anonymous callback as .open will NOT return a value but simply returns undefined in asynchronous mode
              callback(xobj.responseText);
            }
      };
      xobj.send(null);  
  }
  
  function JSONloaded(str){
    var seats = JSON.parse(str);
    console.log(seats[0])
  }

  loadJSON('seats.json',JSONloaded)

</script>

</body>

</html>

